import request from '@/utils/request'

// 查询随访模板列表
export function listFollowTemp(query) {
  return request({
    url: '/his/followTemp/list',
    method: 'get',
    params: query
  })
}
export function getAllFollowTempName() {
  return request({
    url: '/his/followTemp/allList',
    method: 'get',
  })
}
// 查询随访模板详细
export function getFollowTemp(tempId) {
  return request({
    url: '/his/followTemp/' + tempId,
    method: 'get'
  })
}

// 新增随访模板
export function addFollowTemp(data) {
  return request({
    url: '/his/followTemp',
    method: 'post',
    data: data
  })
}

// 修改随访模板
export function updateFollowTemp(data) {
  return request({
    url: '/his/followTemp',
    method: 'put',
    data: data
  })
}

// 删除随访模板
export function delFollowTemp(tempId) {
  return request({
    url: '/his/followTemp/' + tempId,
    method: 'delete'
  })
}

// 导出随访模板
export function exportFollowTemp(query) {
  return request({
    url: '/his/followTemp/export',
    method: 'get',
    params: query
  })
}